export declare function slugify(text: string): string;
export declare const sample: (array: any[]) => any;
export declare const keyBy: (array: any[], keyMap: (item: any) => string, valMap?: (item: any) => any) => any;
export declare const debounce: (fn: (...args: any[]) => any, wait: number) => (...args: any[]) => void;
export declare function MyMoodTemplate(feeling: string, intensity: string, location: string): string;
export declare function MyHealthTemplate(heartRate: number): string;
export declare function MyGoalTemplate(goalName: string, text: string, progress: number): string;
export declare class SparkleGlobal {
  static MY_GOALS_APP_ID: number;
  static MY_HEALTH_APP_ID: number;
  static MY_MOOD_APP_ID: number;
}
